Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Windows Store: Unsupported API present
Started by simon.lowe Jun 28 2016 06:26 AM

5 replies to this topic
[TOPIC CONTROLS]
This topic has been archived. This means that you cannot reply to this topic.
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

simon.lowe

[GLOBAL: userInfoPane.html]
simon.lowe
  • Observer

  • 4 posts
  • Corona SDK

Hey all,

 

I've been porting across an application to Windows Phone, and when trying to do the certification checks in visual studio 2015 I'm getting the failure shown below. If someone is able to tell me which call I'm making in the corona app that is failing, it would be much appreciated.

 

Supported APIs
  • Error Found: The supported APIs test detected the following errors:
    • This API is not supported for this application type - Api=FormatMessageA. Module=api-ms-win-core-localization-l1-2-0.dll. File=CoronaLabs.Corona.Component.dll.
  • Impact if not fixed: Using an API that is not part of the Windows SDK for Windows Phone Store apps violates the Windows Phone Store certification requirements.
  • How to fix: Review the error messages to identify the API that is not part of the Windows SDK for Windows Phone Store app. Please note, C++ apps that are built in a debug configuration will fail this test even if they only use APIs from the Windows SDK for Windows Phone Store apps. 


[TOPIC: post.html]
#2

Joshua Quick

[GLOBAL: userInfoPane.html]
Joshua Quick
  • Moderator

  • 3,397 posts
  • Corona Staff

Unfortunately, this is an issue with the newest daily builds of WP8 CoronaCards.

I recommend that you build with daily build #2879 until this issue gets resolved on our end.

   https://developer.coronalabs.com/sites/default/files/coronacards/2016/CoronaCards.WP8.2016.2879.zip

 

In order to go back a version, you need to uninstall the CoronaCards extension as documented here...

   https://docs.coronalabs.com/daily/coronacards/wp8/uninstall.html

 

Then install the new extension and upgrade your project as documented here...

   https://docs.coronalabs.com/daily/coronacards/wp8/upgrade.html



[TOPIC: post.html]
#3

simon.lowe

[GLOBAL: userInfoPane.html]
simon.lowe
  • Observer

  • 4 posts
  • Corona SDK

Thanks for the quick response. I'll do that then.

Is it possible that this is also responsible for the project dll being flagged as in debug mode as well?



[TOPIC: post.html]
#4

Joshua Quick

[GLOBAL: userInfoPane.html]
Joshua Quick
  • Moderator

  • 3,397 posts
  • Corona Staff

>> Is it possible that this is also responsible for the project dll being flagged as in debug mode as well?

 

No.  Our WP8 CoronaCards libraries are definitely "release" builds.

 

The reason this issue is happening is that there is indeed an indirect call to FormatMessageA() function due to us upgrading the LuaSockets library from v2 to v3.  That's definitely the root cause here.  Daily build #2879 uses the older v2 LuaSockets library which works around the issue.

 

Note: LuaSockets v2 does not support IPv6 networks.  It only support IPv4.  But also note that our network.* Lua APIs do support IPv6.



[TOPIC: post.html]
#5

simon.lowe

[GLOBAL: userInfoPane.html]
simon.lowe
  • Observer

  • 4 posts
  • Corona SDK

Thanks again.



[TOPIC: post.html]
#6

Joshua Quick

[GLOBAL: userInfoPane.html]
Joshua Quick
  • Moderator

  • 3,397 posts
  • Corona Staff

Simon, this "Unsupported API" issue was resolved in daily build #2915, which is available today.

And thank you for bringing this issue to our attention.




[topic_controls]
[/topic_controls]